Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004742OCamlOCaml generalpublic2009-03-11 19:332010-05-12 16:34
Reporterrose 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.2 
Target VersionFixed in Version3.12.0+dev 
Summary0004742: Ocaml disables finalisation functions after an exception occured in one finalisation function call.
DescriptionIf one value has an attached finalisation function, which raises an exception,
the user has to supply a manual 'Gc.finalise_release ()' call to reactivate
further processing of finalisation functions. A suggestion for a solution is
supplied as comment in the uploaded Ocaml file.
TagsNo tags attached.
Attached Files? file icon finalise_bug.ml [^] (2,338 bytes) 2009-03-11 19:33 [Show Content]

- Relationships

-  Notes
(0004969)
doligez (administrator)
2009-05-25 15:55

Instead of the solution you propose, we probably will ignore exceptions raised from finalisation functions (just as we ignore the return values).

This probably won't be fixed before version 3.12.0.
(0005040)
doligez (administrator)
2009-08-05 16:33

Note to self: don't ignore exceptions, it prevents people from interrupting the main program when the heap gets too large.

- Issue History
Date Modified Username Field Change
2009-03-11 19:33 rose New Issue
2009-03-11 19:33 rose File Added: finalise_bug.ml
2009-03-28 16:55 xleroy Status new => assigned
2009-03-28 16:55 xleroy Assigned To => doligez
2009-05-25 15:55 doligez Note Added: 0004969
2009-08-05 16:33 doligez Note Added: 0005040
2010-05-12 16:34 doligez Status assigned => closed
2010-05-12 16:34 doligez Resolution open => fixed
2010-05-12 16:34 doligez Fixed in Version => 3.12.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker